<?xml version="1.0" standalone="no"?>

<!-- $Id: stable.xml 8168 2007-01-26 15:57:33Z travkin $ -->

<!--
 CAUTION: DO NOT CHANGE THIS FILE WITHOUT AUTHORIZATION OF THE FUJABA MANAGEMENT BOARD

 This is the menu configuration for Fujaba's stable release. Only stable
 features should be offered. This decision is done by the Fujaba Management Board, ONLY.

 As soon as your new features are stable, inform the Fujaba management board via
 fujaba@upb.de The FMB will carefully review and test your contribution and add it
 to the stable release, if appropriate.
-->

<!DOCTYPE UserInterface SYSTEM "http://www.upb.de/cs/fujaba/DTDs/UserInterface.dtd">

<UserInterface>


  <!-- **************************** List Actions here ********************** -->

   <Action id="newUsecaseDiagram" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseDiagramAction" enabled="true">
     <Name>New Usecase Diagram</Name>
     <Mnemonic>U</Mnemonic>
     <ToolTip>Create a new usecase diagram</ToolTip>
     <Icon>de/uni_paderborn/fujaba/app/images/none.gif</Icon>
   </Action>

   <Action id="newUsecase" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseAction" enabled="true">
     <Name>Create Usecase</Name>
     <Mnemonic>C</Mnemonic>
     <ToolTip>Creates a new Usecase</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/newUsecase.gif</Icon>
   </Action>

   <Action id="newUsecaseActor" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseActorAction" enabled="true">
     <Name>Create Usecase Actor</Name>
     <Mnemonic>A</Mnemonic>
     <ToolTip>Creates a new Usecase Actor</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/newUsecaseActor.gif</Icon>
   </Action>

   <Action id="newUsecaseUsage" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseUsageAction" enabled="true">
     <Name>New Usecase Usage</Name>
     <Mnemonic>U</Mnemonic>
     <ToolTip>Associates an actor with an usecase</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/newUsecaseUsage.gif</Icon>
   </Action>

   <Action id="newUsecaseExtendsRelation" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseExtendsRelationAction" enabled="true">
     <Name>New Usecase Extends Relation</Name>
     <Mnemonic>E</Mnemonic>
     <ToolTip>Creates an extends relation between two usecases</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/newUsecaseRelationExtends.gif</Icon>
   </Action>

   <Action id="newUsecaseIncludesRelation" class="de.uni_paderborn.fujaba.usecase.actions.NewUsecaseIncludesRelationAction" enabled="true">
     <Name>New Usecase Includes Relation</Name>
     <Mnemonic>I</Mnemonic>
     <ToolTip>Creates an include relation between two usecases</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/newUsecaseRelationIncludes.gif</Icon>
   </Action>

   <Action id="placeOutside" class="de.uni_paderborn.fujaba.usecase.actions.PlaceActorsOutsideSystemAction" enabled="true">
     <Name>Replace Actors</Name>
     <Mnemonic>o</Mnemonic>
     <ToolTip>Places actors outside usecase system</ToolTip>
     <Icon>de/uni_paderborn/fujaba/usecase/images/placeActorsOutsideSystem.gif</Icon>
   </Action>

   <Action id="deleteUsecaseItem" class="de.uni_paderborn.fujaba.usecase.actions.DeleteUsecaseItemAction" enabled="true">
     <Name>Delete Current Item</Name>
     <Mnemonic>D</Mnemonic>
     <ToolTip>Deletes the selected item</ToolTip>
     <Icon>de/uni_paderborn/fujaba/app/images/Delete16.gif</Icon>
     <Composite id="globalDeleteAction">
         <Responsible>de.uni_paderborn.fujaba.usecase.Usecase</Responsible>
         <Responsible>de.uni_paderborn.fujaba.usecase.UsecaseActor</Responsible>
     </Composite>
     
   </Action>


  <!-- **************************** Define Menubar here ********************** -->

   <MenuBar id="mainMenuBar">


     <MenuSection id="diagramsMenuSection">
       <Menu id="diagramsMenu">
         <MenuSection id="newUMLDiagramSection">
            <MenuItem actionId="newUsecaseDiagram"/>
         </MenuSection>
       </Menu>
     </MenuSection>

    <MenuSection id="diagramSpecificSection">
      <Menu id="usecaseDiagramMenu" visible="false">
         <Name>Usecase Diagram</Name>
         <Mnemonic>U</Mnemonic>
         <MenuSection id="editSection">
            <MenuItem actionId="newUsecase"/>
            <MenuItem actionId="newUsecaseActor"/>
            <MenuItem actionId="newUsecaseUsage"/>
            <MenuItem actionId="placeOutside"/>
            <MenuItem actionId="newUsecaseExtendsRelation"/>
            <MenuItem actionId="newUsecaseIncludesRelation"/>
            <MenuItem actionId="deleteUsecaseItem"/>
         </MenuSection>
      </Menu>
   </MenuSection>

  </MenuBar>


  <!-- **************************** List PopupMenus here ********************** -->

   <PopupMenu class="de.uni_paderborn.fujaba.usecase.model.UsecaseSystemDiagram">

     <MenuSection id="newSection">
       <MenuItem actionId="newUsecase"/>
       <MenuItem actionId="newUsecaseExtendsRelation"/>
       <MenuItem actionId="newUsecaseIncludesRelation"/>
     </MenuSection>

   </PopupMenu>

   <PopupMenu class="de.uni_paderborn.fujaba.usecase.model.UsecaseDiagram">

     <MenuSection id="newSection">
       <MenuItem actionId="newUsecaseActor"/>
       <MenuItem actionId="placeOutside"/>
     </MenuSection>

   </PopupMenu>


  <!-- **************************** List Toolbars here ********************** -->

   <ToolBar id="usecaseDiagramToolBar" rolloverButtons="true" visible="false">

     <ToolBarSection id="newSection">
       <Button actionId="newUsecase"/>
       <Button actionId="newUsecaseActor"/>
       <Button actionId="newUsecaseUsage"/>
       <Button actionId="placeOutside"/>
       <Button actionId="newUsecaseExtendsRelation"/>
       <Button actionId="newUsecaseIncludesRelation"/>
       <Button actionId="deleteUsecaseItem"/>
     </ToolBarSection>

   </ToolBar>

</UserInterface>

<!--
$Log$
Revision 1.1  2007/01/26 15:57:32  travkin
Moved some xml files, added manifest.

Revision 1.3  2006/08/17 09:09:41  l3_g5
Fujaba 5 port

Revision 1.2  2005/07/08 14:42:44  joerg
changed package structure
added relations

Revision 1.1  2005/07/04 15:13:41  joerg
Usecases made available as plugin. Placing the plugin on the server and deleting the resources will take place in the next days.

-->



